<?php include(get_template_directory() . '/st_responsive_child_ops.php');  // Do not edit this line
/*
Each option replaces a corresponding option on another Stallion Options page.

There are four parts to each replacement option, the first three are required for a new option, the fourth is required to replace a core Stallion function within template files.

Above each option part (below) is a key to which option is replaced with the format.

Name_Of_Function - Stallion Options Page - What The Setting Controls

More options can be added, all Stallion options are listed in the file.
/stallion-responsive/mydefaults/stallion_defaults.php
The file includes a description of what each function does etc...

Most Stallion core option functions start st_ to keep things simple I'm using stchild_for the replacement options and stct_ for the fourth part of the code. If you plan to release your Stallion Responsive Child Theme to the public I suggest choosing a unique prefix so it's highly unlikely to clash with future Stallion updates. Where I use stct_ you could use stctbob_ (Stallion Child Theme by Bob). Adding new features that don't override current features is easier, see the working example Favicon feature later.
*/

/*
Code Part ONE - Stallion Child Theme Options - What you see on the Child Theme Options page

There are five types of options, Separator (used to separate options), dropdown selection (drop), radio selection (radio), textarea for adding large blocks of code like Google Analytics for example (textarea) and an entry form for a user input like the size of an image set. I used mostly dropdown selection boxes below, so have an example radio, textarea and form box below that is commented out.

For drop and radio selections it is recommended to have the first option

|stdefaults|Use Original Options

Which I use in part FOUR of the code to determine if to use the child theme setting or the original Stallion setting.
*/
ttk_child('st_op_child', array(// Do not edit this line
/*
A separator is used to add a label above or below an option. separators are optional. You can call a separator anything you like, be sure to make them all unique: separator1, separator2... HTML for example links to tutorials can be added. For example separator1 adds a heading with a link back to the child themes page.
*/

'separator1' => '<h3><u>Stallion Responsive Child Theme Options</u></h3>{separator}##Below you will find options that generally override main Stallion Responsive Options. If you set "Stallion Theme Color Scheme" under "Stallion >> Color Options" to "White n Blue" and "Stallion Theme Color Scheme" below to "Example Child Color", this site will show the "Example Child Color" color scheme (Example Color is a copy of Default Basic). Almost all the options below can also be overwrote on a post by post basis (by editing a post or page) allowing you to use both original Stallion Responsive options and child theme options on the same site.<br /><br />Example Options have been left available for webmasters to modify for an easier way to add custom layouts, color schemes, image sets etc... without the need for editing the Stallion Responsive Child Theme file (st_responsive_child.php : the file that holds all the options below). IE the "Example Header Set" images are located under "/wp-content/themes/stallion-responsive-child/headers/example-st/" you could replace them with your custom images if you don`t feel comfortable editing the st_responsive_child.php file directly). The example image sets and example layout/color CSS files are copied from the main Stallion Responsive Theme folder so are not new colors etc...<br /><br />If you feel comfortable adding your own options to this page edit the file "/stallion-responsive-child/st_responsive_child.php", there`s instructions within the file as comment code and instructions at <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Stallion Responsive Child Themes</a>.',
# st_sidebar_lo - Layout Options - Sidebar Layout
'separator2' => '<h3><u>Child Layouts</u></h3>{separator}##Override Stallion Layout Option - No New Layouts',
'stchild_sidebar_lo' => '<strong>Sidebar Layout</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Layout} ##<br />Choose a Stallion Child Theme Layout',
# st_themefont - Font Options - Stallion Theme Font Scheme
'separator3a' => '<h3><u>Child Font Schemes</u></h3>{separator}##Override Stallion Font Option',
'stchild_themefont' => '<strong>Stallion Theme Font Scheme</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Font|custom-01|Custom 01|custom-02|Custom 02|custom-03|Custom 03|custom-04|Custom 04|custom-05|Custom 05|custom-06|Custom 06|custom-07|Custom 07|custom-08|Custom 08|custom-09|Custom 09|custom-10|Custom 10|custom-11|Custom 11|custom-12|Custom 12|custom-13|Custom 13|custom-14|Custom 14|custom-15|Custom 15|custom-16|Custom 16|custom-17|Custom 17|custom-18|Custom 18|custom-19|Custom 19|custom-20|Custom 20} ##<br />Choose a Stallion Child Theme font.<br />To use the Custom fonts create a custom font CSS file "font-custom-**.css" under "/stallion-responsive-child/color/" for example "font-custom-01.css" would use the Custom 01 slot above. There are 20 empty Custom slots, note none of the "font-custom-**.css" files currently exist and only work after you create them. The contents of a Custom file can be created manually (use another Stallion CSS file as a starting point for example) or by using the "Appearance > Font Scheme CSS File Creator" options page: turn this feature on under "Stallion Theme > Color Options : Font Scheme CSS Inline/File Creator Selector - Font Scheme CSS File Creator ON". The output of the "Generated CSS" box would be copy and pasted into a "font-custom-**.css" file.',
# st_theme_fonts_csss_child - Font Options - Font Scheme CSS File Creator Defaults
'stchild_theme_fonts_csss_child' => '<strong>Font Scheme CSS File Creator Defaults</strong> {drop|stdefaults|Use Current|example-st|Example Child Defaults|custom-01|Custom 01|custom-02|Custom 02|custom-03|Custom 03|custom-04|Custom 04|custom-05|Custom 05|custom-06|Custom 06|custom-07|Custom 07|custom-08|Custom 08|custom-09|Custom 09|custom-10|Custom 10|custom-11|Custom 11|custom-12|Custom 12|custom-13|Custom 13|custom-14|Custom 14|custom-15|Custom 15|custom-16|Custom 16|custom-17|Custom 17|custom-18|Custom 18|custom-19|Custom 19|custom-20|Custom 20} ##<br />This is a copy of the same option under "Stallion Font Options" with the built in Font schemes removed, more Custom slots and any child fonts you add.<br />Select a font scheme defaults to load under "Appearance > Font Scheme CSS File Creator" when "Font Scheme CSS File Creator ON" is set (set under Stallion Color Options). This loads the default fonts used to make a Child Theme font scheme or a custom font scheme so you can have a starting point for a new custom or child font scheme.<br />The custom files currently do not exist, create the content for the files using the "Appearance > Font Scheme CSS File Creator" options page and add them to the folder "/stallion-responsive-child/mydefaults/font/" with file names "stallion_font_css_custom-**.php". After creating the custom font schemes and their backup files you will be able to reload those settings at any time for further font scheme creations.<br />Note: This option automatically resets to "Use Current" after saving, this is normal: be careful with this setting while you are working on a new font scheme, if you save this page with an option other than "Use Current" the current "Font Scheme CSS File Creator" options will be overwrote, so until you`ve made an Hard Copy of your new font scheme never set this to anything but "Use Current". building a new font scheme can take many hours, I suggest making a Hard Copy on a regular basis in case you accidentally delete your work with this option.<br /><br />',
# st_themecolor - Colors Options - Stallion Theme Color Scheme
'separator3' => '<h3><u>Child Color Schemes</u></h3>{separator}##Override Stallion Color Option',
'stchild_themecolor' => '<strong>Stallion Theme Color Scheme</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Color|custom-01|Custom 01|custom-02|Custom 02|custom-03|Custom 03|custom-04|Custom 04|custom-05|Custom 05|custom-06|Custom 06|custom-07|Custom 07|custom-08|Custom 08|custom-09|Custom 09|custom-10|Custom 10|custom-11|Custom 11|custom-12|Custom 12|custom-13|Custom 13|custom-14|Custom 14|custom-15|Custom 15|custom-16|Custom 16|custom-17|Custom 17|custom-18|Custom 18|custom-19|Custom 19|custom-20|Custom 20} ##<br />Choose a Stallion Child Theme color.<br />To use the Custom colors create a custom color CSS file "style-custom-**.css" under "/stallion-responsive-child/color/" for example "style-custom-01.css" would use the Custom 01 slot above. There are 20 empty Custom slots, note none of the "style-custom-**.css" files currently exist and only work after you create them. The contents of a Custom file can be created manually (use another Stallion CSS file as a starting point for example) or by using the "Appearance > Color Scheme CSS File Creator" options page: turn this feature on under "Stallion Theme > Color Options : Color Scheme CSS Inline/File Creator Selector - Color Scheme CSS File Creator ON". The output of the "Generated CSS" box would be copy and pasted into a "style-custom-**.css" file.',
# st_theme_colors_csss_child - Colors Options - Color Scheme CSS File Creator Defaults
'stchild_theme_colors_csss_child' => '<strong>Color Scheme CSS File Creator Defaults</strong> {drop|stdefaults|Use Current|example-st|Example Child Defaults|custom-01|Custom 01|custom-02|Custom 02|custom-03|Custom 03|custom-04|Custom 04|custom-05|Custom 05|custom-06|Custom 06|custom-07|Custom 07|custom-08|Custom 08|custom-09|Custom 09|custom-10|Custom 10|custom-11|Custom 11|custom-12|Custom 12|custom-13|Custom 13|custom-14|Custom 14|custom-15|Custom 15|custom-16|Custom 16|custom-17|Custom 17|custom-18|Custom 18|custom-19|Custom 19|custom-20|Custom 20} ##<br />This is a copy of the same option under "Stallion Color Options" with the built in Color schemes removed, more Custom slots and any child colors you add.<br />Select a color scheme defaults to load under "Appearance > Color Scheme CSS File Creator" when "Color Scheme CSS File Creator ON" is set (set under Stallion Color Options). This loads the default colors used to make a Child Theme color scheme or a custom color scheme so you can have a starting point for a new custom or child color scheme.<br />The custom files currently do not exist, create the content for the files using the "Appearance > Color Scheme CSS File Creator" options page and add them to the folder "/stallion-responsive-child/mydefaults/css/" with file names "stallion_color_css_custom-**.php". After creating the custom color schemes and their backup files you will be able to reload those settings at any time for further color scheme creations.<br />Note: This option automatically resets to "Use Current" after saving, this is normal: be careful with this setting while you are working on a new color scheme, if you save this page with an option other than "Use Current" the current "Color Scheme CSS File Creator" options will be overwrote, so until you`ve made an Hard Copy of your new color scheme never set this to anything but "Use Current". building a new color scheme can take many hours, I suggest making a Hard Copy on a regular basis in case you accidentally delete your work with this option.<br /><br />',
# st_header_bg_img - Colors Options - Original Stallion Header Area Header Image
'separator4' => '<h3><u>Child Alternative Stallion Header Area Header Image</u></h3>{separator}##Override Stallion Color Option',
'stchild_header_bg_img' => '<strong>Alternative Stallion Header Area Header Image</strong> {drop|stdefaults|Use Original Options|example-st.jpg|Example Child Header|art1-st.jpg|Art 1|art2-st.jpg|Art 2|art3-st.jpg|Art 3|arty1-st.jpg|Arty 1|arty2-st.jpg|Arty 2|arty3-st.jpg|Arty 3|arty4-st.jpg|Arty 4|business1-st.jpg|Business 1|business2-st.jpg|Business 2|business3-st.jpg|Business 3|business4-st.jpg|Business 4|business5-st.jpg|Business 5|china1-st.jpg|China 1|china2-st.jpg|China 2|china3-st.jpg|China 3|china4-st.jpg|China 4|computer1-st.jpg|Computer 1|computer2-st.jpg|Computer 2|computer3-st.jpg|Computer 3|computer4-st.jpg|Computer 4|cooking1-st.jpg|Cooking 1|cooking2-st.jpg|Cooking 2|cooking3-st.jpg|Cooking 3|fashion1-st.jpg|Fashion 1|fashion2-st.jpg|Fashion 2|fashion3-st.jpg|Fashion 3|fashion4-st.jpg|Fashion 4|food1-st.jpg|Food 1|food2-st.jpg|Food 2|food3-st.jpg|Food 3|food4-st.jpg|Food 4|fun1-st.jpg|Fun 1|fun2-st.jpg|Fun 2|fun3-st.jpg|Fun 3|jewellery1-st.jpg|Jewellery 1|jewellery2-st.jpg|Jewellery 2|jewellery3-st.jpg|Jewellery 3|jewellery4-st.jpg|Jewellery 4|music1-st.jpg|Music 1|music2-st.jpg|Music 2|music3-st.jpg|Music 3|music4-st.jpg|Music 4|real-estate1-st.jpg|Real Estate 1|real-estate2-st.jpg|Real Estate 2|real-estate3-st.jpg|Real Estate 3|technology1-st.jpg|Technology 1|technology2-st.jpg|Technology 2|technology3-st.jpg|Technology 3|technology4-st.jpg|Technology 4|1.jpg|Orange Flower|2.jpg|Money Dollars|20.gif|Money 100 Dollars|3.jpg|Grey Background|4.jpg|Sea Bird|5.jpg|Waterfall|6.jpg|Skegness Pier|7.jpg|Green Background|8.jpg|Sunset|9.jpg|Cheatahs|1.gif|Coins|2.gif|Music|3.gif|Love Heart|4.gif|Colorful Stars|5.gif|Blue Splash|6.gif|Lips|7.gif|Squares|8.gif|Playing Cards|9.gif|Circles|10.gif|Cool Pig|11.gif|Art|12.gif|Orange Swirls|14.jpg|Love Hearts|15.jpg|Pattern Purple|16.jpg|Pattern Red|17.jpg|Pattern Blue|18.jpg|Shaded Light Blue|10.jpg|Shaded Dark Blue|11.jpg|Shaded Dark Red|12.jpg|Shaded Pink|20.jpg|Shaded Light Pink|13.jpg|Shaded Green|19.jpg|Shaded Grey|13.gif|Shaded Grey 2|21.jpg|Black Pattern 1|22.jpg|Black Pattern 2|23.jpg|Blue Pattern|24.jpg|Water Drops|25.jpg|Connections Reloaded|26.jpg|Twenty Eleven} ##<br />Choose a Stallion Child Theme Original Stallion Header Area Header Image<br /><br />',
# st_header_2011_images - Colors Options - Stallion 2011 Header Image Sets
'separator5' => '<h3><u>Child Stallion 2011 Header Images</u></h3>{separator}##Override Stallion Color Option',
'stchild_header_2011_images' => '<strong>Stallion 2011 Header Image Sets</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Header Set|art-st|Art|artistic|Artistic|arty-st|Arty|business|Business|china-st|China|computer-st|Computer|cooking-st|Cooking|dogs-one-st|Dogs One|fashion-st|Fashion|food-st|Food|fun-st|Fun|graffiti|Graffiti|jewellery-st|Jewellery|kittens-st|Kittens|mixture|Mixture|money|Money|music-st|Music|nature|Nature|plants|Plants|real-estate-st|Real Estate|technology-st|Technology|twenty-eleven|TwentyEleven|wild-flowers-st|Wild Flowers} ##<br />Choose a Stallion Child Theme 2011 Header Image Set above and choose further options at <a href="themes.php?page=custom-header">Appearance >> Header</a>. "Activate Stallion 2011 Header Area" must also be ticked under Stallion Layout Options.',
# st_top_banner_set - Colors Options - Top Banner Set
'separator6' => '<h3><u>Child Top Banner Set</u></h3>{separator}##Override Stallion Color Option',
'stchild_top_banner_set' => '<strong>Top Banner Set</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Banner Set|art-st|Art|artistic|Artistic|arty-st|Arty|business|Business|china-st|China|computer-st|Computer|cooking-st|Cooking|dogs-one-st|Dogs One|fashion-st|Fashion|food-st|Food|fun-st|Fun|graffiti|Graffiti|jewellery-st|Jewellery|kittens-st|Kittens|mixture|Mixture|money|Money|music-st|Music|nature|Nature|plants|Plants|real-estate-st|Real Estate|technology-st|Technology|twenty-eleven|TwentyEleven|wild-flowers-st|Wild Flowers} ##<br />Choose a Stallion Child Theme Top Banner Set<br /><br />',
# st_thumb200_set - Colors Options - Thumbnail Set
'separator7' => '<h3><u>Child 200X200 Random Thumbnail Images</u></h3>{separator}##Override Stallion Color Option',
'stchild_thumb200_set' => '<strong>Thumbnail Set</strong> {drop|stdefaults|Use Original Options|example-st|Example Child Thumbnail Set JPG|01-default|Default JPG|art-st|Art JPG|arty-st|Arty JPG|business-st|Business JPG|china-st|China JPG|computer-st|Computer JPG|cooking-st|Cooking JPG|fashion-st|Fashion JPG|food-st|Food JPG|fun-st|Fun JPG|04-funny|Funny JPG|05-funny-stuff|Funny Stuff JPG|jewellery-st|Jewellery JPG|02-money|Money JPG|music-st|Music JPG|real-estate-st|Real Estate JPG|technology-st|Technology JPG|03-twenty-eleven|Twenty Eleven JPG|green-arrows-png-st|Green Arrows PNG|office-png-st|Office PNG|astrology-png-st|Astrology 12 Star Signs PNG|emotes-png-st|Emotes 13 PNG|cute-animals-png-st|Cute Animals PNG|weird-png-st|Weird Cartoon PNG} ##<br />Choose a Stallion Child Theme Thumbnail Set<br /><br />',
# Very Important : Please replicate thumbnail sets above in the last function "Stallion SEO Posts Widgets Child Theme Thumbnail List" at the bottom of this file.
# st_thumb200_type - Colors Options - Thumbnail Set Image Type
'stchild_thumb200_type' => '<strong>Child Thumbnail Set Image Type</strong> ##<br /><br />Set to the image file type (jpg or png for example) that matches the file type of the set selected above. For custom sets if you add images to a custom set with a filetype other than jpg change this setting to match (png for example). Note: you can not mix different filetypes, all jpg or all png for example.',
'separator8' => '<h3><u>Stallion Favicons</u></h3>{separator}##Fully working example child feature.',
# Fully working example function to add Stallion Favicon Options page etc...
'stchild_favicons' => '<strong>Stallion Favicons On/Off</strong> {radio|1|Stallion Favicons ON|0|Stallion Favicons OFF**} ##<br /><br />Turn Stallion Favicons built in plugin on or off. When ON a new Stallion options page "Stallion Favicons" is available to select a favicon for your site. Note: when set to ON the main theme setting "Stallion Color Options > Stallion Gravatar Favicon" is disabled. The Favicon Options page is used to select a Favicon, so no need to use the Gravatar.<br /><br />This feature used to be part of the main Stallion Theme, but it is a lot of images (almost 500 icons) so pushed it to the child theme to reduce the size (those icon images are 1.5mb in size) of the main theme zip file which along with the removal of headers and thumbnails (they are also all added to the child theme) resulted in the Stallion Responsive zip file being under 2MB. It`s a good example of how to add a new feature to a child theme.<br /><br />',
# the above option when set to 1 (ON) allows code to run within the child theme file functionsplus-child.php, the code there includes explanatory comments. You can also add code to the file functions-child.php, you'll find in that file it loads the file functionsplus-child.php. You could add your code to say bobsfunction.php (added to the child theme folder) and load that file by adding
/*

<?php get_template_part( 'bobsfunction' ); ?>

*/
# to the functions-child.php file.


/* Example radio function commented out start

'stchild_radio_example' => '<strong>Example Radio</strong> {radio|stdefaults|Use Original Options|on|Something ON|off|Something OFF} ##<br />This is example instructions.<br />',

# Example function commented out end */


/* Example form function commented out start

'stchild_form_example' => '<strong>Example Form</strong> ## <br />This is example instructions, there are no other settings',

# Example function commented out end */


/* Example textarea function commented out start

'stchild_textarea_example' => '<strong>Example Textarea</strong> {textarea|10|60} ##<br />This is example instructions.<br />',

# Example function commented out end */


), // Do not edit this line
__FILE__  // Do not edit this line
);  // Do not edit this line

/*
Code Part TWO - Child Theme Functions

The code below creates a unique function for each option above. They are technically optional but it's easier to work with a function like "stchild_sidebar_lo()" than use the format "$st_op_child->option['stchild_sidebar_lo'];" within template files.
 */

# st_sidebar_lo - Layout Options - Sidebar Layout
function stchild_sidebar_lo() {global $st_op_child;return $st_op_child->option['stchild_sidebar_lo'];}

# st_themefont - Colors Options - Stallion Theme Font Scheme
function stchild_themefont() {global $st_op_child;return $st_op_child->option['stchild_themefont'];}

# st_theme_fonts_csss_child - Font Options - Font Scheme CSS File Creator Defaults
function stchild_theme_fonts_csss_child() {global $st_op_child;return $st_op_child->option['stchild_theme_fonts_csss_child'];}

# st_themecolor - Colors Options - Stallion Theme Color Scheme
function stchild_themecolor() {global $st_op_child;return $st_op_child->option['stchild_themecolor'];}

# st_theme_colors_csss_child - Colors Options - Color Scheme CSS File Creator Defaults
function stchild_theme_colors_csss_child() {global $st_op_child;return $st_op_child->option['stchild_theme_colors_csss_child'];}

# st_header_bg_img - Colors Options - Original Stallion Header Area Header Image
function stchild_header_bg_img() {global $st_op_child;return $st_op_child->option['stchild_header_bg_img'];}

# st_header_2011_images - Colors Options - Stallion 2011 Header Image Sets
function stchild_header_2011_images() {global $st_op_child;return $st_op_child->option['stchild_header_2011_images'];}

# st_banners_set - Colors Options - Top Banner Set
function stchild_top_banner_set() {global $st_op_child;return $st_op_child->option['stchild_top_banner_set'];}

# st_thumb200_set - Colors Options - Thumbnail Set
function stchild_thumb200_set() {global $st_op_child;return $st_op_child->option['stchild_thumb200_set'];}

# st_thumb200_type - Colors Options - Thumbnail Set Image Type
function stchild_thumb200_type() {global $st_op_child;return $st_op_child->option['stchild_thumb200_type'];}

# Fully working example function to add Stallion Favicon Options page etc...
function stchild_favicons() {global $st_op_child;return $st_op_child->option['stchild_favicons'];}

/* Example function commented out start

# stchild_radio_example - A new example function using stchild_radio_example from part one
function stchild_radio_example() {global $st_op_child;return $st_op_child->option['stchild_radio_example'];}

# Example function commented out end */

/*
Code Part THREE - Child Theme Defaults, set when the child theme is activated or defaults are reset.

I set all defaults to stdefaults which is off (use Stallion core options). If you use the same concept be sure to add an stdefaults option

|stdefaults|Use Original Options

to each option you add in part one. This results in a drop down or radio selector called "Use Original Options" and when selected the option is set to "stdefaults" in the database.

You can populate the database with your preferred settings, for example

$set_defaultschild['stchild_themecolor'] = 'mynewcolor';

would change the theme color to "mynewcolor" upon child theme activation, but this forces users to turn settings off if they don't want them all on, best to keep defaults as "stdefaults".
 */

function setdefaultschild() {  // Do not edit this line
# st_sidebar_lo - Layout Options - Sidebar Layout
$set_defaultschild['stchild_sidebar_lo'] = 'stdefaults';

# st_themefont - Font Options - Stallion Theme Font Scheme
$set_defaultschild['stchild_themefont'] = 'stdefaults';

# st_theme_fonts_csss_child - Fonts Options - Create Child Theme Font Defaults
$set_defaultschild['stchild_theme_fonts_csss_child'] = 'stdefaults';

# st_themecolor - Colors Options - Stallion Theme Color Scheme
$set_defaultschild['stchild_themecolor'] = 'stdefaults';

# st_theme_colors_csss_child - Colors Options - Create Child Theme Color Defaults
$set_defaultschild['stchild_theme_colors_csss_child'] = 'stdefaults';

# st_header_bg_img - Colors Options - Original Stallion Header Area Header Image
$set_defaultschild['stchild_header_bg_img'] = 'stdefaults';

# st_header_2011_images - Colors Options - Stallion 2011 Header Image Sets
$set_defaultschild['stchild_header_2011_images'] = 'stdefaults';

# st_banners_set - Colors Options - Top Banner Set
$set_defaultschild['stchild_top_banner_set'] = 'stdefaults';

# st_thumb200_set - Colors Options - Thumbnail Set
$set_defaultschild['stchild_thumb200_set'] = 'stdefaults';

# st_thumb200_type - Colors Options - Thumbnail Set Image Type
$set_defaultschild['stchild_thumb200_type'] = 'jpg';

# Fully working example function to add Stallion Favicon Options page etc...
$set_defaultschild['stchild_favicons'] = '0';

/* Example function commented out start

# stchild_radio_example - A new example function using stchild_radio_example from part one and two
$set_defaultschild['stchild_radio_example'] = 'stdefaults';

# To use this new function you would remove the commenting out around the three sets of code and use
# stchild_radio_example()  within child theme template (php) files.
# Example function commented out end */

return $set_defaultschild;
}

// Do not edit this line
/*if (!$st_op_child->is_installed()) {
global $st_op_child;
$set_defaults = setdefaultschild();
$result = $st_op_child->store_options($set_defaults);
} */
if ($st_op_child->option['stchild_sidebar_lo'] == '') {
$set_defaults = setdefaultschild();
$result = $st_op_child->store_options($set_defaults);
} // Do not edit this line
?>
<?php

/*
Code Part FOUR - Child Theme Replacement Functions.

Below are child theme functions added to replace core Stallion functions.
For example the child stct_themecolor function is used to replace the core st_themecolor setting (selects the theme color on the Stallion Color Options page).

The above is about replacing current core Stallion options, a child theme can be used to add new features. Lets say you found a great plugin or code snippet you want bundled with a child theme and you want it so it won't be loaded by default (generally not a good idea to force new features on users). There's loads of ways to add the code, I tend to put plugin type code under the directory /plugins/ and include it via the file /child-theme-directory/functions-child.php file.

For example using one of the commented out example functions in the first three code parts we could check if stchild_radio_example is set to "on" (Something ON) and if it is include a php file that we placed in the /stallion-responsive-child/plugins/ folder called awesomecode.php using code like this.

<?php if(stchild_radio_example()=='on'){ ?>
<?php include_once (STYLESHEETPATH . "/plugins/awesomecode.php"); ?>
<?php } ?>

or 

<?php if(stchild_radio_example()=='on'){ ?>
<?php get_template_part( 'plugins/awesomecode' ); ?>
<?php } ?>

both achieve the same thing

Any code within /stallion-responsive-child/plugins/awesomecode.php would be run by the child theme.

I use this format a lot in Stallion, see the file /stallion-responsive/functionsplus.php so if a theme user doesn't activate a feature via an options page the code is never loaded. If code is loaded, but not used it's going to use server resources for no gain.

I've added seven replacement functions below for colors (css files) and image sets. If your Stallion Child Theme only replaces or adds CSS files and/or images you'll probably not have to create or edit any Child Theme Replacement Functions below since all css and image relevant replacement functions already exist below and they've been included in Stallion. There's 4 further functions related to passing child theme options to the "Stallion SEO Posts Widget" and the "Stallion Layout and Color Scheme Options" meta box.
*/
?>
<?php # st_sidebar_lo - Layout Options - Sidebar Layout
if(!function_exists('stct_sidebar_lo')) {
function stct_sidebar_lo() {
if (stchild_sidebar_lo() != 'stdefaults' && file_exists(STYLESHEETPATH . '/colors/layout-' . stchild_sidebar_lo() . '.css')
) {
$stchildsetting = stchild_sidebar_lo();
} else {
$stchildsetting = st_sidebar_lo();
}
return $stchildsetting;
}
}

?>
<?php # st_themefont - Font Options - Stallion Theme Font Scheme
if(!function_exists('stct_themefont')) {
function stct_themefont() {
if (stchild_themefont() != 'stdefaults' && file_exists(STYLESHEETPATH . '/colors/font-' . stchild_themefont() . '.css')
) {
$stchildsetting = stchild_themefont();
} else {
$stchildsetting = st_themefont();
}
return $stchildsetting;
}
}

?>
<?php # st_themecolor - Colors Options - Stallion Theme Color Scheme
if(!function_exists('stct_themecolor')) {
function stct_themecolor() {
if (stchild_themecolor() != 'stdefaults' && file_exists(STYLESHEETPATH . '/colors/style-' . stchild_themecolor() . '.css')
) {
$stchildsetting = stchild_themecolor();
} else {
$stchildsetting = st_themecolor();
}
return $stchildsetting;
}
}

?>
<?php # st_header_bg_img - Colors Options - Original Stallion Header Area Header Image
if(!function_exists('stct_header_bg_img')) {
function stct_header_bg_img() {
if (stchild_header_bg_img() != 'stdefaults' && file_exists(STYLESHEETPATH . '/headers/' . stchild_header_bg_img() . '')
) {
$stchildsetting = stchild_header_bg_img();
} else {
$stchildsetting = st_header_bg_img();
}
return $stchildsetting;
}
}

?>
<?php # st_header_2011_images - Colors Options - Stallion 2011 Header Image Sets
if(!function_exists('stct_header_2011_images')) {
function stct_header_2011_images() {
if (stchild_header_2011_images() != 'stdefaults' && file_exists(STYLESHEETPATH . '/headers/' . stchild_header_2011_images() . '/image-01.jpg')
) {
$stchildsetting = stchild_header_2011_images();
} else {
$stchildsetting = st_header_2011_images();
}
return $stchildsetting;
}
}

?>
<?php # st_banners_set - Colors Options - Top Banner Set
if(!function_exists('stct_top_banners_set')) {
function stct_top_banners_set() {
if (stchild_top_banner_set() != 'stdefaults' && file_exists(STYLESHEETPATH . '/headers/' . stchild_top_banner_set() . '/image-01.jpg')
) {
$stchildsetting = stchild_top_banner_set();
} else {
$stchildsetting = st_top_banner_set();
}
return $stchildsetting;
}
}

?>
<?php # st_thumb200_set - Colors Options - Thumbnail Set
if(!function_exists('stct_thumb200_set')) {
function stct_thumb200_set() {
if (stchild_thumb200_set() != 'stdefaults' && file_exists(STYLESHEETPATH . '/thumbnails/' . stchild_thumb200_set() . '/1.' . stct_thumb200_type() . '')
) {
$stchildsetting = stchild_thumb200_set();
} else {
$stchildsetting = st_thumb200_set();
}
return $stchildsetting;
}
}

?>
<?php # st_thumb200_type - Colors Options - Thumbnail Set Image Type
if(!function_exists('stct_thumb200_type')) {
function stct_thumb200_type() {
if (stchild_thumb200_type() != 'stdefaults') {
$stchildsetting = stchild_thumb200_type();
} else {
$stchildsetting = st_thumb200_type();
}
return $stchildsetting;
}
} ?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Layout Options
/* This function passes the Child Layout Scheme settings to the Stallion Color Settings on Post and Page edit screens. On the left we have the Layout Name "Example Child Layout" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Layout" in code part ONE "|example-st|Example Child Layout"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child layouts and users will only have access to Stallion core layouts.
*/

if(!function_exists('stc_child_layout')) {
function stc_child_layout() {
$stch_layout1 = array(
array('name' => 'Example Child Layout', 'value' => 'example-st',),
#array( 'name' => 'Example Child Layout 2', 'value' => 'example-st2', ),
);
return $stch_layout1;
}
}

?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Font Options
/* This function passes the Child Font Scheme settings to the Stallion Color Settings on Post and Page edit screens. On the left we have the Font Name "Example Child Font" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Font" in code part ONE "|example-st|Example Child Font"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child fonts and users will only have access to Stallion core fonts.
*/

if(!function_exists('stc_child_fonts')) {
function stc_child_fonts() {
$stch_fonts1 = array(
array('name' => 'Custom 06', 'value' => 'custom-06',),
array('name' => 'Custom 07', 'value' => 'custom-07',),
array('name' => 'Custom 08', 'value' => 'custom-08',),
array('name' => 'Custom 09', 'value' => 'custom-09',),
array('name' => 'Custom 10', 'value' => 'custom-10',),
array('name' => 'Custom 11', 'value' => 'custom-11',),
array('name' => 'Custom 12', 'value' => 'custom-12',),
array('name' => 'Custom 13', 'value' => 'custom-13',),
array('name' => 'Custom 14', 'value' => 'custom-14',),
array('name' => 'Custom 15', 'value' => 'custom-15',),
array('name' => 'Custom 16', 'value' => 'custom-16',),
array('name' => 'Custom 17', 'value' => 'custom-17',),
array('name' => 'Custom 18', 'value' => 'custom-18',),
array('name' => 'Custom 19', 'value' => 'custom-19',),
array('name' => 'Custom 20', 'value' => 'custom-20',),
array('name' => 'Example Child Font', 'value' => 'example-st',),
);
return $stch_fonts1;
}
}

?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Color Options
/* This function passes the Child Color Scheme settings to the Stallion Color Settings on Post and Page edit screens. On the left we have the Color Scheme Name "Example Child Color" and on the right the corresponding option "example-st". I've also added the custom options 5 to 20, since 1 to 5 is already part of the main Stallion Responsive Color Scheme Options.

Basically a copy of the settings added to "Child Color Schemes" in code part ONE "|example-st|Example Child Color" and the custom options 6 to 20. Note: I added the example color at the bottom so on the post and page edit screens the custom options 6 to 20 come after custom 5, had I add the example option first the order would be Custom 1 to 5, Example Colors, Custom 6 to 20.

If you don't add the info below, on Post and Page Edit screens you won't have access to the child color and font schemes and users will only have access to Stallion core colors.
 */

if(!function_exists('stc_child_colours')) {
function stc_child_colours() {
$stch_colours1 = array(
array('name' => 'Custom 06', 'value' => 'custom-06',),
array('name' => 'Custom 07', 'value' => 'custom-07',),
array('name' => 'Custom 08', 'value' => 'custom-08',),
array('name' => 'Custom 09', 'value' => 'custom-09',),
array('name' => 'Custom 10', 'value' => 'custom-10',),
array('name' => 'Custom 11', 'value' => 'custom-11',),
array('name' => 'Custom 12', 'value' => 'custom-12',),
array('name' => 'Custom 13', 'value' => 'custom-13',),
array('name' => 'Custom 14', 'value' => 'custom-14',),
array('name' => 'Custom 15', 'value' => 'custom-15',),
array('name' => 'Custom 16', 'value' => 'custom-16',),
array('name' => 'Custom 17', 'value' => 'custom-17',),
array('name' => 'Custom 18', 'value' => 'custom-18',),
array('name' => 'Custom 19', 'value' => 'custom-19',),
array('name' => 'Custom 20', 'value' => 'custom-20',),
array('name' => 'Example Child Color', 'value' => 'example-st',),
);
return $stch_colours1;
}
}

?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Stallion Original Header Options
/* This function passes the Child Original Header settings to the Original Header Settings on Post and Page edit screens. On the left we have the Original Header
Name "Example Child Header" and on the right the corresponding option "example-st.jpg".

Basically a copy of the settings added to "Child Original Stallion Header Area Header Image" in code part ONE "|example-st.jpg|Example Child Header"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child Original Stallion Header Area Header Images and users will only have access to Stallion core headers.
 */

if(!function_exists('stc_child_stheader')) {
function stc_child_stheader() {
$stch_stheader1 = array(
array('name' => 'Example Child Header', 'value' => 'example-st.jpg',),
array('name' => 'Art 1', 'value' => 'art1-st.jpg',),
array('name' => 'Art 2', 'value' => 'art2-st.jpg',),
array('name' => 'Art 3', 'value' => 'art3-st.jpg',),
array('name' => 'Arty 1', 'value' => 'arty1-st.jpg',),
array('name' => 'Arty 2', 'value' => 'arty2-st.jpg',),
array('name' => 'Arty 3', 'value' => 'arty3-st.jpg',),
array('name' => 'Arty 4', 'value' => 'arty4-st.jpg',),
array('name' => 'Business 1', 'value' => 'business1-st.jpg',),
array('name' => 'Business 2', 'value' => 'business2-st.jpg',),
array('name' => 'Business 3', 'value' => 'business3-st.jpg',),
array('name' => 'Business 4', 'value' => 'business4-st.jpg',),
array('name' => 'Business 5', 'value' => 'business5-st.jpg',),
array('name' => 'China 1', 'value' => 'china1-st.jpg',),
array('name' => 'China 2', 'value' => 'china2-st.jpg',),
array('name' => 'China 3', 'value' => 'china3-st.jpg',),
array('name' => 'China 4', 'value' => 'china4-st.jpg',),
array('name' => 'Computer 1', 'value' => 'computer1-st.jpg',),
array('name' => 'Computer 2', 'value' => 'computer2-st.jpg',),
array('name' => 'Computer 3', 'value' => 'computer3-st.jpg',),
array('name' => 'Computer 4', 'value' => 'computer4-st.jpg',),
array('name' => 'Cooking 1', 'value' => 'cooking1-st.jpg',),
array('name' => 'Cooking 2', 'value' => 'cooking2-st.jpg',),
array('name' => 'Cooking 3', 'value' => 'cooking3-st.jpg',),
array('name' => 'Fashion 1', 'value' => 'fashion1-st.jpg',),
array('name' => 'Fashion 2', 'value' => 'fashion2-st.jpg',),
array('name' => 'Fashion 3', 'value' => 'fashion3-st.jpg',),
array('name' => 'Fashion 4', 'value' => 'fashion4-st.jpg',),
array('name' => 'Food 1', 'value' => 'food1-st.jpg',),
array('name' => 'Food 2', 'value' => 'food2-st.jpg',),
array('name' => 'Food 3', 'value' => 'food3-st.jpg',),
array('name' => 'Food 4', 'value' => 'food4-st.jpg',),
array('name' => 'Fun 1', 'value' => 'fun1-st.jpg',),
array('name' => 'Fun 2', 'value' => 'fun2-st.jpg',),
array('name' => 'Fun 3', 'value' => 'fun3-st.jpg',),
array('name' => 'Jewellery 1', 'value' => 'jewellery1-st.jpg',),
array('name' => 'Jewellery 2', 'value' => 'jewellery2-st.jpg',),
array('name' => 'Jewellery 3', 'value' => 'jewellery3-st.jpg',),
array('name' => 'Jewellery 4', 'value' => 'jewellery4-st.jpg',),
array('name' => 'Music 1', 'value' => 'music1-st.jpg',),
array('name' => 'Music 2', 'value' => 'music2-st.jpg',),
array('name' => 'Music 3', 'value' => 'music3-st.jpg',),
array('name' => 'Music 4', 'value' => 'music4-st.jpg',),
array('name' => 'Real Estate 1', 'value' => 'real-estate1-st.jpg',),
array('name' => 'Real Estate 2', 'value' => 'real-estate2-st.jpg',),
array('name' => 'Real Estate 3', 'value' => 'real-estate3-st.jpg',),
array('name' => 'Technology 1', 'value' => 'technology1-st.jpg',),
array('name' => 'Technology 2', 'value' => 'technology2-st.jpg',),
array('name' => 'Technology 3', 'value' => 'technology3-st.jpg',),
array('name' => 'Technology 4', 'value' => 'technology4-st.jpg',),
array('name' => 'Orange Flower', 'value' => '1.jpg',),
array('name' => 'Money Dollars', 'value' => '2.jpg',),
array('name' => 'Money 100 Dollars', 'value' => '20.gif',),
array('name' => 'Grey Background', 'value' => '3.jpg',),
array('name' => 'Sea Bird', 'value' => '4.jpg',),
array('name' => 'Waterfall', 'value' => '5.jpg',),
array('name' => 'Skegness Pier', 'value' => '6.jpg',),
array('name' => 'Green Background', 'value' => '7.jpg',),
array('name' => 'Sunset', 'value' => '8.jpg',),
array('name' => 'Cheatahs', 'value' => '9.jpg',),
array('name' => 'Coins', 'value' => '1.gif',),
array('name' => 'Music', 'value' => '2.gif',),
array('name' => 'Love Heart', 'value' => '3.gif',),
array('name' => 'Colorful Stars', 'value' => '4.gif',),
array('name' => 'Blue Splash', 'value' => '5.gif',),
array('name' => 'Lips', 'value' => '6.gif',),
array('name' => 'Squares', 'value' => '7.gif',),
array('name' => 'Playing Cards', 'value' => '8.gif',),
array('name' => 'Circles', 'value' => '9.gif',),
array('name' => 'Cool Pig', 'value' => '10.gif',),
array('name' => 'Art', 'value' => '11.gif',),
array('name' => 'Orange Swirls', 'value' => '12.gif',),
array('name' => 'Love Hearts', 'value' => '14.jpg',),
array('name' => 'Pattern Purple', 'value' => '15.jpg',),
array('name' => 'Pattern Red', 'value' => '16.jpg',),
array('name' => 'Pattern Blue', 'value' => '17.jpg',),
array('name' => 'Shaded Light Blue', 'value' => '18.jpg',),
array('name' => 'Shaded Dark Blue', 'value' => '10.jpg',),
array('name' => 'Shaded Dark Red', 'value' => '11.jpg',),
array('name' => 'Shaded Pink', 'value' => '12.jpg',),
array('name' => 'Shaded Light Pink', 'value' => '20.jpg',),
array('name' => 'Shaded Green', 'value' => '13.jpg',),
array('name' => 'Shaded Grey', 'value' => '19.jpg',),
array('name' => 'Shaded Grey 2', 'value' => '13.gif',),
array('name' => 'Black Pattern 1', 'value' => '21.jpg',),
array('name' => 'Black Pattern 2', 'value' => '22.jpg',),
array('name' => 'Blue Pattern', 'value' => '23.jpg',),
array('name' => 'Water Drops', 'value' => '24.jpg',),
array('name' => 'Connections Reloaded', 'value' => '25.jpg',),
array('name' => 'Twenty Eleven', 'value' => '26.jpg',),
);
return $stch_stheader1;
}
}

?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Stallion 2011 Header Set Options
/* This function passes the Child 2011 Header settings to the 2011 Header Settings on Post and Page edit screens. On the left we have the 2011 Header Name "Example Child Header Set" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child 2011 Header Images" in code part ONE "|example-st|Example Child Header Set"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child header images and users will only have access to Stallion core headers.
*/

if(!function_exists('stc_child_2011header')) {
function stc_child_2011header() {
$stch_2011header1 = array(
array('name' => 'Example Child Header Set', 'value' => 'example-st',),
array('name' => 'Art', 'value' => 'art-st',),
array('name' => 'Artistic', 'value' => 'artistic-st',),
array('name' => 'Arty', 'value' => 'arty-st',),
array('name' => 'Business', 'value' => 'business',),
array('name' => 'China', 'value' => 'china-st',),
array('name' => 'Computer', 'value' => 'computer-st',),
array('name' => 'Cooking', 'value' => 'cooking-st',),
array('name' => 'Dogs One', 'value' => 'dogs-one-st',),
array('name' => 'Fashion', 'value' => 'fashion-st',),
array('name' => 'Food', 'value' => 'food-st',),
array('name' => 'Fun', 'value' => 'fun-st',),
array('name' => 'Graffiti', 'value' => 'graffiti',),
array('name' => 'Jewellery', 'value' => 'jewellery-st',),
array('name' => 'Kittens', 'value' => 'kittens-st',),
array('name' => 'Mixture', 'value' => 'mixture',),
array('name' => 'Money', 'value' => 'money',),
array('name' => 'Music', 'value' => 'music-st',),
array('name' => 'Nature', 'value' => 'nature',),
array('name' => 'Plants', 'value' => 'plants',),
array('name' => 'Real Estate', 'value' => 'real-estate-st',),
array('name' => 'Technology', 'value' => 'technology-st',),
array('name' => 'TwentyEleven', 'value' => 'twenty-eleven',),
array('name' => 'Wild Flowers', 'value' => 'wild-flowers-st',),
);
return $stch_2011header1;
}
}

?>
<?php # Stallion Layout and Color Scheme Options Meta Box - Stallion Top Banner Set Options
/* This function passes the Child Top Banner Set settings to the Top Banner Set Settings on Post and Page edit screens. On the left we have the Top Banner Set Name "Example Child Banner Set" and on the right the corresponding option "example-st".

Basically a copy of the settings added to "Child Top Banner Set" in code part ONE "|example-st|Example Child Banner Set"

If you don't add the info below, on Post and Page Edit screens you won't have access to the child Top Banner images and users will only have access to Stallion core Top Banners.
 */

if(!function_exists('stc_child_top_banners')) {
function stc_child_top_banners() {
$stch_topbanners1 = array(
array('name' => 'Example Child Banner Set', 'value' => 'example-st',),
array('name' => 'Art', 'value' => 'art-st',),
array('name' => 'Artistic', 'value' => 'artistic',),
array('name' => 'Arty', 'value' => 'arty-st',),
array('name' => 'Business', 'value' => 'business',),
array('name' => 'China', 'value' => 'china-st',),
array('name' => 'Computer', 'value' => 'computer-st',),
array('name' => 'Cooking', 'value' => 'cooking-st',),
array('name' => 'Dogs One', 'value' => 'dogs-one-st',),
array('name' => 'Fashion', 'value' => 'fashion-st',),
array('name' => 'Food', 'value' => 'food-st',),
array('name' => 'Fun', 'value' => 'fun-st',),
array('name' => 'Graffiti', 'value' => 'graffiti',),
array('name' => 'Jewellery', 'value' => 'jewellery-st',),
array('name' => 'Kittens', 'value' => 'kittens-st',),
array('name' => 'Mixture', 'value' => 'mixture',),
array('name' => 'Money', 'value' => 'money',),
array('name' => 'Music', 'value' => 'music-st',),
array('name' => 'Nature', 'value' => 'nature',),
array('name' => 'Plants', 'value' => 'plants',),
array('name' => 'Real Estate', 'value' => 'real-estate-st',),
array('name' => 'Technology', 'value' => 'technology-st',),
array('name' => 'TwentyEleven', 'value' => 'twenty-eleven',),
array('name' => 'Wild Flowers', 'value' => 'wild-flowers-st',),
);
return $stch_topbanners1;
}
}
?>
<?php # Stallion SEO Posts Widgets Child Theme Thumbnail List
/* This function passes the thumbnail sets to the Stallion SEO Posts Widget via an array. On the left we have the directory name "foldername1" (where the thumbnails are under /child-theme-directory/thumbnails/example-st/) and on the right the name of the thumbnail set "Example Child Thumbnail Set JPG".

Basically a copy of the settings added to "Thumbnail Set" in code part ONE "|example-st|Example Child Thumbnail Set JPG"

If you don't add the thumbnail info below your Stallion SEO Posts Widgets won't have access to the child thumbnails and users will only have access to Stallion core thumbnails.
*/

if(!function_exists('stc_child_thumbs')) {
function stc_child_thumbs() {
$stch_thumbset1 = array(
"example-st" => "Example Child Thumbnail Set JPG"
, "01-default" => "Default JPG"
, "art-st" => "Art JPG"
, "arty-st" => "Arty JPG"
, "business-st" => "Business JPG"
, "china-st" => "China JPG"
, "computer-st" => "Computer JPG"
, "cooking-st" => "Cooking JPG"
, "fashion-st" => "Fashion JPG"
, "food-st" => "Food JPG"
, "fun-st" => "Fun JPG"
, "04-funny" => "Funny JPG"
, "05-funny-stuff" => "Funny Stuff JPG"
, "jewellery-st" => "Jewellery JPG"
, "02-money" => "Money JPG"
, "music-st" => "Music JPG"
, "real-estate-st" => "Real Estate JPG"
, "technology-st" => "Technology JPG"
, "03-twenty-eleven" => "Twenty Eleven JPG"
, "green-arrows-png-st" => "Green Arrows PNG"
, "office-png-st" => "Office PNG"
, "astrology-png-st" => "Astrology 12 Star Signs PNG"
, "emotes-png-st" => "Emotes 13 PNG"
, "cute-animals-png-st" => "Cute Animals PNG"
, "weird-png-st" => "Weird Cartoon PNG"
);
return $stch_thumbset1;
}
}
?>
<?php # st_theme_colors_csss_child - Colors Options - Color Scheme CSS File Creator Defaults
/* The code below only loads for logged in users if a user tries to load a Custom Color Scheme CSS File Creator Defaults which is checking for the existence of the php files 

mydefaults/css/stallion_color_css_example-defaults.php
mydefaults/css/stallion_color_css_custom-**.php

Currently none of the stallion_color_css_custom-**.php files exist, only the stallion_color_css_example-defaults.php file exists which is a copy of the Basic Defaults from the main theme.

To use custom defaults you first have to create the files using the Color Scheme CSS File Creator Feature.
*/
if (is_user_logged_in()) { ?>
<?php if (stchild_theme_fonts_csss_child() == 'example-st') { get_template_part( 'mydefaults/font/stallion_font_css_example-st' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-01') { get_template_part( 'mydefaults/font/stallion_font_css_custom-01' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-02') { get_template_part( 'mydefaults/font/stallion_font_css_custom-02' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-03') { get_template_part( 'mydefaults/font/stallion_font_css_custom-03' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-04') { get_template_part( 'mydefaults/font/stallion_font_css_custom-04' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-05') { get_template_part( 'mydefaults/font/stallion_font_css_custom-05' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-06') { get_template_part( 'mydefaults/font/stallion_font_css_custom-06' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-07') { get_template_part( 'mydefaults/font/stallion_font_css_custom-07' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-08') { get_template_part( 'mydefaults/font/stallion_font_css_custom-08' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-09') { get_template_part( 'mydefaults/font/stallion_font_css_custom-09' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-10') { get_template_part( 'mydefaults/font/stallion_font_css_custom-10' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-11') { get_template_part( 'mydefaults/font/stallion_font_css_custom-11' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-12') { get_template_part( 'mydefaults/font/stallion_font_css_custom-12' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-13') { get_template_part( 'mydefaults/font/stallion_font_css_custom-13' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-14') { get_template_part( 'mydefaults/font/stallion_font_css_custom-14' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-15') { get_template_part( 'mydefaults/font/stallion_font_css_custom-15' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-16') { get_template_part( 'mydefaults/font/stallion_font_css_custom-16' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-17') { get_template_part( 'mydefaults/font/stallion_font_css_custom-17' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-18') { get_template_part( 'mydefaults/font/stallion_font_css_custom-18' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-19') { get_template_part( 'mydefaults/font/stallion_font_css_custom-19' ); } ?>
<?php if (stchild_theme_fonts_csss_child() == 'custom-20') { get_template_part( 'mydefaults/font/stallion_font_css_custom-20' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'example-st') { get_template_part( 'mydefaults/css/stallion_color_css_example-st' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-01') { get_template_part( 'mydefaults/css/stallion_color_css_custom-01' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-02') { get_template_part( 'mydefaults/css/stallion_color_css_custom-02' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-03') { get_template_part( 'mydefaults/css/stallion_color_css_custom-03' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-04') { get_template_part( 'mydefaults/css/stallion_color_css_custom-04' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-05') { get_template_part( 'mydefaults/css/stallion_color_css_custom-05' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-06') { get_template_part( 'mydefaults/css/stallion_color_css_custom-06' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-07') { get_template_part( 'mydefaults/css/stallion_color_css_custom-07' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-08') { get_template_part( 'mydefaults/css/stallion_color_css_custom-08' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-09') { get_template_part( 'mydefaults/css/stallion_color_css_custom-09' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-10') { get_template_part( 'mydefaults/css/stallion_color_css_custom-10' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-11') { get_template_part( 'mydefaults/css/stallion_color_css_custom-11' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-12') { get_template_part( 'mydefaults/css/stallion_color_css_custom-12' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-13') { get_template_part( 'mydefaults/css/stallion_color_css_custom-13' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-14') { get_template_part( 'mydefaults/css/stallion_color_css_custom-14' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-15') { get_template_part( 'mydefaults/css/stallion_color_css_custom-15' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-16') { get_template_part( 'mydefaults/css/stallion_color_css_custom-16' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-17') { get_template_part( 'mydefaults/css/stallion_color_css_custom-17' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-18') { get_template_part( 'mydefaults/css/stallion_color_css_custom-18' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-19') { get_template_part( 'mydefaults/css/stallion_color_css_custom-19' ); } ?>
<?php if (stchild_theme_colors_csss_child() == 'custom-20') { get_template_part( 'mydefaults/css/stallion_color_css_custom-20' ); } ?>
<?php } ?>